#include "QConfigItem.h"
#include <videolan/vlc.h>
QConfigItem::QConfigItem(QObject *parent, QString name, int iType, int i_val) :
    QObject(parent, name)
{
    type = iType;
    iVal = i_val;
    changed = false;
}

QConfigItem::QConfigItem(QObject *parent, QString name, int iType, float f_val) :
    QObject(parent, name)
{
    type = iType;
    fVal = f_val;
    changed = false;
}

QConfigItem::QConfigItem(QObject *parent, QString name, int iType, QString s_val) :
    QObject(parent, name)
{
    type = iType;
    sVal = s_val;
    changed = false;
}

QConfigItem::~QConfigItem()
{
    ;
}

bool QConfigItem::isChanged()
{
  return changed;
}

int QConfigItem::getType()
{
    return type;
}

int QConfigItem::iValue()
{
    return iVal;
}

float QConfigItem::fValue()
{
    return fVal;
}

QString QConfigItem::sValue()
{
    return sVal;
}

void QConfigItem::setValue(int val)
{
  if (iVal != val) {
    iVal = val;
    changed = true;
  }
}

void QConfigItem::setValue(float val)
{
  if (fVal != val) {
    fVal = val;
    changed = true;
  }
}

void QConfigItem::setValue(double val)
{
  if (fVal != val) {
    fVal = (float)val;
    changed = true;
  }
}

void QConfigItem::setValue(const QString &val)
{
  if (sVal != val) {
    sVal = val;
    changed = true;
  }
}
